Subject: RE: New Cygwin Net Release (make error)
From: "Christopher Jones" <[email-masked]>
To: "Paul D. Smith" <[email-masked]>
Cc: Bernard Dautrevaux <[email-masked]>, [email-masked], [email-masked]
Date: Wed, 19 Apr 2000 13:32:59 -0400

> -----Original Message-----
> From: Paul D. Smith [mailto:[email-masked]]
> Sent: Wednesday, April 19, 2000 12:57 PM
> To: Christopher Jones
> Cc: Bernard Dautrevaux; [email-masked]; [email-masked]
> Subject: RE: New Cygwin Net Release (make error)
> 
> 
> %% "Christopher Jones" <[email-masked]> writes:
> 
> HTML isn't necessary on the mailing list; plain text is just 
> fine, thanks.

Sorry about that.  Outlook sucks and it should have been in plain text...
sorry.

>   cj> So I went off and tried to duplicate my problem with 
> the smallest
>   cj> Makefile possible and have succeeded.  Turns out the problem is
>   cj> with a target macro's value indicating a dos style filename,
>   cj> e.g. e:/dir/file (yes, with UNIX slashes) even with 
> MAKE_MODE=UNIX
>   cj> set in the environment.  Using something like //e/dir/file works
>   cj> of course.  I think that on win32 e:/dir/file is supposed to be
>   cj> allowed without confusing the make parser but I cannot find much
>   cj> in the info documentation to help make this clearer (it did work
>   cj> in the past with make 3.75, the cygwin 1.1 net release 
> uses 3.77).
> 
> It would be nice if you'd included the "smallest Makefile 
> possible", as
> well as the error you got and what you expected it to do :).

I forgot to send the attachment, oops.  

--
Want to unsubscribe from this list?
Send a message to [email-masked]